Submit Shift

Submit a person's completed shift. Shifts are used to track hours worked by an individual employee and calculate EWA. Shifts may be created with a shift_id unique within the organization. Failure to provide a shift_id will cause a UUID to be generated instead.If a duplicate shift_id is provided, call will return 409 - Conflict. Successful call will return the created shift and status 201.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
int32
required

Organization ID

string
required

Employee ID

Body Params
string

If blank, defaults to UUID

date-time

Time the shift started

date-time

Time the shift ended. This does not need to be provided if hours is provided

double
≥ 0

Number of hours worked in the shift. This value cannot be negative. This does not need to be provided if punch_out is provided

int32

Amount of money, in cents, the employee made per hour/day depending on shift_type

string
enum
required

Shift type

Allowed:
Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json